package cn.iocoder.yudao.module.order.service.orderExceptionChannelPrice;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.order.vo.orderExceptionChannelPrice.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderExceptionChannelPrice.OrderExceptionChannelPriceDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 不可出渠道异常商品价格 Service 接口
 *
 * @author 系统管理员
 */
public interface OrderExceptionChannelPriceService extends IService<OrderExceptionChannelPriceDO> {

    /**
     * 创建不可出渠道异常商品价格
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createExceptionChannelPrice(@Valid OrderExceptionChannelPriceCreateReqVO createReqVO);

    /**
     * 更新不可出渠道异常商品价格
     * @param updateReqVO 更新信息
     */
    void updateExceptionChannelPrice(@Valid OrderExceptionChannelPriceUpdateReqVO updateReqVO);

    /**
     * 删除不可出渠道异常商品价格
     * @param id 编号
     */
    void deleteExceptionChannelPrice(Long id);

    /**
     * 获得不可出渠道异常商品价格
     * @param id 编号
     * @return 不可出渠道异常商品价格
     */
    OrderExceptionChannelPriceDO getExceptionChannelPrice(Long id);

    /**
     * 获得不可出渠道异常商品价格列表
     * @param ids 编号
     * @return 不可出渠道异常商品价格列表
     */
    List<OrderExceptionChannelPriceDO> getExceptionChannelPriceList(Collection<Long> ids);

    /**
     * 获得不可出渠道异常商品价格分页
     * @param page 分页查询
     * @param query 查询
     * @return 不可出渠道异常商品价格分页
     */
    PageResult<OrderExceptionChannelPriceDO> getExceptionChannelPricePage(OrderExceptionChannelPriceQueryVO query, PageVO page);

    /**
     * 获得不可出渠道异常商品价格列表, 用于 Excel 导出
     * @param query 查询
     * @return 不可出渠道异常商品价格列表
     */
    List<OrderExceptionChannelPriceDO> getExceptionChannelPriceList(OrderExceptionChannelPriceQueryVO query);
}
