package cn.iocoder.yudao.module.order.vo.orderSplit;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@Data
@ToString
@EqualsAndHashCode
@ApiModel("管理后台 - 新增订单拆单 Request VO")
public class OrderSplitCreateReqVO {

    @ApiModelProperty(value = "父订单编号", required = true)
    @NotNull(message = "父订单编号不能为空")
    private String parentOrderNo;

    @ApiModelProperty(value = "父订单id", required = true)
    @NotNull(message = "父订单id不能为空")
    private Long parentOrderId;

    @ApiModelProperty(value = "运输方式", required = true)
    @NotNull(message = "运输方式不能为空")
    private Integer transportId;

    @ApiModelProperty(value = "渠道ID")
    private Long channelId;

    @ApiModelProperty(value = "目的仓", required = true)
    @NotNull(message = "目的仓不能为空")
    private Long dstWarehouseId;

    @ApiModelProperty(value = "1-出货拆单")
    private Integer shipmentType;

    /**
     * 校验订单是否已经排单
     */
    private boolean checkOrderScheduling = true;

    /**
     * 是否为部分退场拆单
     */
    private boolean partRefundSplit = false;

    /**
     * 退场订单箱数
     */
    private Integer refundNum;
}
